Mach64 Graphics Accelerator

The Mach64 Graphics Accelerator comes with a number of features.  You may or may not have installed any or all of the following:

FlexDesk+ Control Panel

DPMS (VESA Display Power Management)

DeskScan

WinSwitch

Screen Color Calibration

Motion Video


Main Panel
FlexDesk+ Control Panel

The FlexDesk+ Control Panel is used to configure your Mach64 Graphics Accelerator for Windows.  The changes you make here are 'permanent', in that they will be in effect for all subsequent Windows sessions.  (Dynamic settings changes made with DeskScan or WinSwitch are not permanent changes.)

The FlexDesk+ Control Panel panel contains slider controls for setting Colors,  Screen Size and Desktop Size size.

You can set the Screen Size to any of the sizes you installed with the Install program (e.g. 640x480, 800x600, 1024x768, 1280x1024).  Depending on the display memory on your graphics card, desktop sizes in addition to the available screen sizes may be available.  The Desktop Size is automatically adjusted to be at least as large as your selected Screen Size.

Using the Colors slider, you can select 256 colors, 32K colors, 65K colors, or 16.7M colors.  These determine the number of colors that may be simultaneously displayed on your screen.

Not all combinations of Screen Size, Desktop Size, and Colors are possible.  See Slider Controls and Available Modes for more information.

See also:

Slider Controls

Sample Monitor

Sample Colors

Test Button

Buttons

Main Menu

Advanced Panel

Command Line Options


Available Modes

Available Screen Sizes are determined by the modes that have been installed on the graphics card.  If you need additional modes, return to DOS and run the Install program and follow the instructions there.

Desktop Size and Colors are limited by the amount of display memory on your graphics card.  The higher the Desktop Size, the fewer Colors are available, and vice-versa.

NOTE: There may be Desktop Size choices presented to you for which there is no corresponding Screen Size (e.g. Desktop Size 1600x1200).  For these sizes, the Screen Size slider will always be grayed out.  However, this is a perfectly valid Desktop Size, which you may find convenient to use.

Note that video acceleration drivers may also use some of the available display memory, further restricting the Desktop Size choices.


Main Menu

The Main Panel menu contains File, Features, and Help sub-menus.

The File sub-menu contains Open, Save, and Save As menu items.  These selections are used in the same way as in other Windows applications, but in this case, the files you create and edit are settings files.

The File Exit menu item is the same as the OK button.

The Features sub-menu allows access to features that are also available from buttons on the Main Panel.

The Help sub-menu allows access to help for the FlexDesk+ Control Panel and also gives access to the 'About box', which displays product version information.

See also:

Working With Settings Files


Working With Settings Files

Settings files are used to save a particular set of options for quick recall.  For example, if your favorite image editor works best in 16M color mode, but you usually work in 256 color mode, you could save two settings files: NORMAL.FLX, and IMAGE.FLX.  To switch between these settings, you would open the FlexDesk+ Control Panel, use File Open to open NORMAL.FLX or IMAGE.FLX, and then click the OK button for the changes to take effect.

NOTE: When you have no settings file opened explicitly, you are actually editing the settings in your SYSTEM.INI file.

NOTE: The Open, Save, and Save As items are unavailable in Windows 3.0.

See also:

Command Line Options


Command Line Options

An easy way to switch between settings is to use command line options.  To do this in Program Manager, first create a new program item from the FlexDesk+ Control Panel icon, by using CTRL+Drag to copy the icon.

NOTE: Take care to make a COPY of the FlexDesk+ icon before modifying the properties.

Then, with the new icon selected (click on it once), use Program Manager's File Properties command to edit the Command Line for the program, and add a settings file to the end of the command line (include the full pathname if the file is not in the Windows directory).  For example:

C:\MACH64\ATIDESK\FLEX64.EXE   MYSETUP.FLX

You might also want to change the program's description, as appropriate for the settings.

Double-clicking the new icon will bring up the FlexDesk+ Control Panel, with the settings from MYSETUP.FLX.

See also:

Command Line Switches


Command Line Switches

There are two switches you can add to the FlexDesk+ Control Panel command line. The "/restart" switch instructs the FlexDesk+ Control Panel that you wish to restart Windows after loading the settings from the settings file (if given).  You will receive a warning message that Windows is about to be restarted, which you can cancel.  If you don't want the warning message, you can also add the "/nowarning" switch.  Thus, the fastest way to switch settings would be the following command line:

C:\MACH64\ATIDESK\FLEX64.EXE   MYSETUP.FLX  /restart  /nowarning

This will load the MYSETUP.FLX settings and immediately restart Windows.  You will still receive warning messages from any applications that have unsaved changes.


Advanced Panel
FlexDesk+ Advanced Settings Panel

The Advanced Settings Panel controls the advanced and maintenance features of FlexDesk+.  Note that some features and options may be unavailable (displayed grayed out), depending on the Screen Size, Desktop Size, and Color Depth selected in the Main Panel, or the combination of settings selected in the Advanced Panel.

Environment

256 Color Palette

Dithering Control

24BPP Mode


Advanced Panel: Environment

Use this to specify your display's Logical Dots Per Inch (LDPI).  The available settings are Small Font (96 LDPI, VGA Standard), Large Font (120 LDPI, 8514/A Standard), and DTP for Desktop Publishing (128 LDPI).

If you leave the Automatic checkbox checked, then this setting is chosen for you according to Screen Size: Small Font for 640x480 and 800x600, and Large Font for all other sizes.

You may wish to turn off the Automatic checkbox and make your own selection in certain situations, since by adjusting this setting, you can make screen objects (such as text) appear larger or smaller than their actual (measured) size.

For example, if you find small fonts difficult to read, use Large Font or DTP settings, even at lower screen sizes.  Or, if you need to see more text on the screen at one time, use Small Font even at higher screen sizes.  But be aware that fonts will not be displayed actual size when you are not using a setting that corresponds to the display's LDPI.


Advanced Panel: 256 Color Palette

This option is only available when you select 256 color mode from the main panel. When set to Off, the hardware color palette is fixed. When set to On, the palette can be modified by application programs. Most 256 color drivers allow palette modification (On). This allows palette cycling and optimization to occur. With 256 Color Palette set Off, no color shifts will occur on the screen when multiple 256 color images are being displayed.


Advanced Panel: Dithering
Advanced Panel: Dithering Control

The Mach driver normally uses an optimized dithering technique when running in 16 and 256 color modes. However, the technique used may result in some unattractive colors. When using 256 color mode with 256 Color Palette set to On, this control can be used to select Fast or VGA Standard dithering. VGA Standard dithering is a slower technique that may result in more attractive colors.


Advanced Panel: 24BPP Mode

When you have selected 16.7M colors in the main panel (i.e. 24bpp), this control allows you to select whether the mode should be done as a 24-bit or 32-bit mode.  Choosing 32-bit will result in faster performance, but will only be available when there is sufficient memory to run the mode in 32 bits.


DeskScan Panel
DeskScan

When you have selected a Desktop Size in the FlexDesk+ Control Panel that is larger than your Screen Size, the Virtual Desktop feature is enabled.  To see portions of the Virtual Desktop not visible on the screen, you can pan the screen side-to-side or up-and-down by moving the mouse pointer to the edge of the screen in the direction you wish to move.

The DeskScan panel allows you to set up keyboard control of Virtual Desktop panning, and also allows a zoom feature not accessible with the mouse.  Once you have set up keystrokes to perform Zoom In and Zoom Out, you can zoom at any time (for example, to get a larger view of the desktop when running multiple applications, or to get a closer look at text or images for easier reading).

NOTE: The panning and zooming functions are active only when Windows applications are active. While in a windowed DOS Box, the keystrokes are passed to the DOS application instead, for compatibility.

See also:

DeskScan Function Boxes

DeskScan Key Sequences


DeskScan Panel: Function Boxes

Type into each box a description of the key sequence desired to activate the function.  The functions available are:

PanLeft	Move the screen left

PanRight	Move the screen right

PanUp	Move the screen up

PanDown	Move the screen down

ZoomIn	Zoom in (make the screen image larger)

ZoomOut	Zoom out (make more of the screen visible)

Click the Defaults button to reset all function assignments to standard defaults.

We recommend that you assign all desired functions before choosing OK.  An easy way to do this is to click the Defaults button, then modify the function assignments as required.

The new function assignments take effect right away (before closing the ATI DeskTop).

NOTE: Do not assign the same key sequence to more than one function.

NOTE: Avoid using the same key sequence for a DeskScan function as for a WinSwitch function.  If you do, the DeskScan function will take precedence.


DeskScan Panel: Key Sequences

A key sequence is described by typing in Ctrl and/or Alt, the key name, and optionally Shift.  For example, to assign ZoomIn to Ctrl+Shift+Home, type Ctrl+Shift+Home in the Zoom In box.

The allowable key names are:

Left Arrow, Right Arrow, Up Arrow, Down Arrow

(the word 'Arrow' may be omitted)

Home, End

F1 through F24

A through Z, 0 through 9

Space, Del

You must use at least one of Ctrl or Alt in your key sequences.  You should try to use key combinations that are not used in the applications you use.

Note that the order of entry of Ctrl, Alt, Shift and the key name is unimportant; that spaces may be used instead of plus signs; and that only as much of a word as is necessary to recognize it need be entered.  For example, to assign PanRight to Alt+Right Arrow you could enter 'AL RI' in the Pan Right box.


VESA Display Power Management (DPMS)

If you have a VESA DPMS-compliant monitor, you can use the DPMS feature to provide auto-shutdown of your monitor, in three separate stages, to reduce power consumption.  Auto-shutdown only occurs after definable periods of keyboard and mouse inactivity.  Moving the mouse or pressing a key on the keyboard (even the Ctrl, Alt, or Shift keys) turns the monitor back on.

The three shutdown stages are Standby, Suspend, and Off.  Each monitor manufacturer defines the meaning of these states for its monitors.  For example, a flat panel display might turn off its backlight in Standby mode.  However, in all cases it will be true that power consumption decreases in each state, from normal 'on', through Standby, Suspend, and finally the Off state, where power consumption is minimal.  See your monitor's manual for full details.

See also:

DPMS Setup


DPMS Setup

Enter time values into the Standby, Suspend, and Off boxes (or use the Defaults button to reset to standard defaults).  The time values represent the duration of inactivity before each stage is entered.  For example, assume the following settings:

Standby	15

Suspend	30

Off	60

The monitor will be placed into Standby mode after 15 minutes of inactivity; into Suspend mode after 30 minutes of inactivity; and into Off mode after 60 minutes of inactivity.

DPMS can be disabled by leaving the DPMS Enabled box un-checked.  You may want to turn DPMS off during lengthy presentation playbacks where you will not be using the mouse or keyboard for some time.  Remember to re-enable DPMS afterwards.

If you omit a time from any of the boxes, that mode will never be entered.  Leaving all boxes blank is the same as leaving the DPMS Enabled box un-checked.

When you confirm the DPMS Panel with the OK button, the new settings take effect right away (even before closing the ATI DeskTop).

NOTE: Your Windows DPMS settings will not be in effect in while you are in a full-screen DOS box.

NOTE: Certain DPMS configurations may not allow arbitrary time values for the DPMS settings.  In these cases, your entered values will be rounded up to the nearest acceptable value.

NOTE: Do not use DPMS with a screen saver.  Use one or the other, but not both.


Buttons

OK

Accept any changes to the settings, and exit. When you press OK on the FlexDesk+ Control Panel, the changes are saved to SYSTEM.INI, and also to the settings file (if any) you were editing.

Cancel

Exit without saving changes.

Help

Brings up the FlexDesk+ Control Panel help index.

Defaults

Select default settings. This provides a convenient way to return to factory settings.


Test Button

The Test button is used to temporarily switch to the mode represented by the current slider settings.  When the Test button is clicked, the display switches to the selected mode, and the Test button changes to End Test.  A 10-second timer begins counting down at the bottom of the FlexDesk+ Control Panel.  If you do nothing for 10 seconds, the display will automatically switch back to the previous mode.

If, however, you are satisfied with the new settings, press the OK button.  FlexDesk+ will exit with the new mode left in effect, and the change will become permanent.  (That is, these will be the settings the next time you start Windows.)

If, however, you wish to revert to the old mode, simple click the End Test button and the display will switch back to what it was.  Or, click the Cancel button, and the display will switch back and FlexDesk+ will exit.

NOTE: The Test button will be grayed out if the test cannot be performed.  This will be the case if you want to test a different Colors setting, and you haven't yet enabled WinSwitch.  WinSwitch must be enabled for dynamic color switching.


Slider Controls

The slider controls at the bottom of the FlexDesk+ Control Panel are used to adjust the settings you wish to use.  Before you have changed the slider positions, they indicate the settings that will be in effect next time you start Windows.  The current settings (i.e. those in effect right now) are indicated by the red tickmark on each slider.  (These will change if you use WinSwitch or DeskScan to dynamically change modes.)

As you move the sliders, you will notice that they will gray out at certain settings.  This is because the setting would not be possible in combination with the other sliders at their current settings.  If you release a slider while it is grayed out, the other sliders will 'snap' to positions that will allow the setting you selected.  (In some cases, the slider you released will also snap to a new position.)

One strategy to use in choosing settings is to make your selections in reverse order from your priorities.  For example, if you want the most possible colors at the largest possible desktop size:

1) drag the Screen Size slider all the way to the right and release it,

2) drag the Desktop Size slider all the way to the right and release it,

3) drag the Colors slider all the way to the right and release it.

The sliders will now show the most Colors you can have at the largest Desktop Size that is possible with those colors, at the largest possible Screen Size for that desktop size.


Sample Monitor

The Sample Monitor displayed in the center of the FlexDesk+ Control Panel is used to give feedback as to what a particular Screen Size and Desktop Size combination would look like.  Your current desktop is used for the sample display.

When you reduce or increase Screen Size, the sample monitor 'grows' and 'shrinks' to represent the changing size.  The amount of your desktop visible on the sample monitor also changes accordingly.

Similarly, when you change Desktop Size, the desktop displayed may stretch beyond the sample monitor's frame.  This indicates a setting in which you would have a Virtual Desktop - a desktop larger than your screen size.  (The opposite case - a desktop smaller than the screen - is not permitted.  The sliders will 'snap' to a permitted setting to avoid this.)


Sample Colors

Like the Sample Monitor, the Sample Colors bar shown at the right side of the FlexDesk+ Control Panel is used to give you some idea of the color capabilities of the selected Colors setting.

Note that a variety of techniques are used to represent the spectrum of colors available at each setting.  When you are not already in a particular Colors setting, the display can sometimes only be a crude approximation of the available colors (e.g. representing 16.7 million colors while in 256 color mode).  The best way to see color capabilities is to switch to a mode and see it for real!


WinSwitch

WinSwitch allows you to define up to four 'hotkeys' for dynamically switching the current Windows session to different settings of Colors, Screen Size and Desktop Size size, without a Windows restart.

The steps involved in setting up WinSwitch hotkeys are as follows:

1) Press one of the Key 1 through Key 4 buttons to select a key to define.

2) Enter the desired key sequence into the box below the Key button.

3) Adjust the Colors, Screen Size, and Desktop Size sliders to the desired settings for this hotkey.  (These sliders behave just like the sliders in FlexDesk+ Control Panel.)

4) Repeat steps 1-3 for as many keys (Key 1 through Key 4) as you wish to define.

5) Check the WinSwitch Enabled box if you used any Colors settings different from the current Colors setting.  (You will be prompted to do this, if necessary.)

6) Click OK to confirm the dialog, or Cancel to discard your changes.

An alternative method is to first click the Defaults button, and then modify the settings.

After confirming the dialog with OK, the new key settings take effect immediately.  However, if a Windows restart is required to change to a color-switchable driver (see WinSwitch Enabled), then any hotkeys requiring a color switch will not be in effect until after a Windows restart (for which you will be prompted when exiting the ATI Desktop).

See also:

Key Sequences

WinSwitch Enabled


WinSwitch Panel: Key Sequences

A key sequence is described by typing in Ctrl and/or Alt, the key name, and optionally Shift.  For example, to assign ZoomIn to Ctrl+Shift+Home, type Ctrl+Shift+Home in the Zoom In box.

The allowable key names are:

Left Arrow, Right Arrow, Up Arrow, Down Arrow

(the word 'Arrow' may be omitted)

Home, End

F1 through F24

A through Z, 0 through 9

Space, Del

You must use at least one of Ctrl or Alt in your key sequences.  You should try to use key combinations that are not used in the applications you use.

Note that the order of entry of Ctrl, Alt, Shift and the key name is unimportant; that spaces may be used instead of plus signs; and that only as much of a word as is necessary to recognize it need be entered.  For example, to assign PanRight to Alt+Right Arrow you could enter 'ri al' in the Pan Right box.

NOTE: Do not assign the same key sequence to more than one function.

NOTE: Avoid using the same key sequence for a WinSwitch function as for a DeskScan function.  If you do, the DeskScan function will take precedence.


WinSwitch Panel: WinSwitch Enabled

With the ATI mach64 driver, it is always possible to dynamically switch to a different Screen Size or Desktop Size.  (You may have noticed this in FlexDesk+ Control Panel.)  However, for dynamic color switching, the driver must be started in 'color-switchable' mode.  This is controlled by the WinSwitch Enabled checkbox in the WinSwitch Control Panel.  This checkbox must be checked if you specify any hotkeys with different Colors settings than the current Colors setting.  (You will be prompted to do this, if necessary.)

You should note that the color-switchable driver will be slower than the normal driver.  Therefore, you should only check the WinSwitch Enabled checkbox when really needed.

You should also note that a change in the WinSwitch Enabled checkbox (from off to on, or vice versa) will require a Windows restart.  (You will be prompted for this.)


FlexDesk+ Screen Color Calibration
Screen Color Calibration

General

Correcting the RGB Colors

Moving Control Points

Adding & Removing Control Points

Saving Color Settings

Button Controls

Color Correction Setup


General

Screen Color Calibration allows you to correct color tone discrepancies between the real color value and the way your monitor displays it.  Color discrepancies can be caused by a variety of sources, including lighting conditions in the work environment and monitor color shifts.  This Color Correction feature is extremely handy when running 24bpp applications that require a true color representation.  The most means of calibration is by using a printed visual reference.

What you need to calibrate your screen's color:

A graphics application that incorporates a professional Color Matching Palette.

A photographic print of which you also have a 24bpp scan.

Use the photographic print or the Color Matching Palette to reference its on-screen equivalent. Use bright colors as reference points.  Color Calibration is performed by adjusting the color curves of Red, Green and Blue, better known as RGB.


Correcting Colors
Correcting the RGB Colors

A true color is a tint selected from a palette of 16.7 million colors, composed of 1 out of 256 intensities of red, 1 out of 256 intensities of green and 1 out of 256 intensities of blue. The color of each pixel on your monitor is determined by such red, green and blue values.

This editor features three buttons to select/control the color curves.  For each color correction curve the horizontal axis represents the input value (i.e., the tone value of the red, green or blue component of the original color).  The vertical axis represents the output value (i.e., the tone value of the red, green or blue component of the displayed color).  The curve represents all the values of the color component (R, G or B) with the value of 0 representing the darkest tint (in the lower left corner) and the value of 255 representing the lightest tint (in the top right corner).

Each color curve can be easily modified by adding, moving or removing control points.

These control points anchor the curve to represent the relationship between input and output intensities.


Moving Control Points

To move an existing control point, move the mouse cursor over the control point a press the left mouse button.  While holding the button down drag the control point to its new location.

Points cannot be dragged past another adjacent point of the curve.

The left most end point cannot be dragged up from the bottom edge.

The right most end point cannot be dragged down from the top edge.


Adding & Removing Control Points

New points are added by holding down the <Shift> key while clicking the mouse cursor at the desired position on the curve.

Points are deleted by holding down the <Ctrl> key while clicking the mouse cursor over the point to be deleted.

By adding, removing or moving control points, you harshen or smoothen the gradation of that tone.


Saving Color Settings

Each set of RGB curve settings can be saved to a file.  Different sets can be saved for use with different monitors or lighting conditions, for example, ambient light at different times of day.

A specific table may be loaded by selecting the Load button and choosing the desired gamma file.


Button Controls

The main color correction editor has a series of buttons to allow you to choose which curve you are editing.  By clicking on the smaller preview curves to the right of the main curve you select that color.  You may then move to the main window to edit the curve for the selected color component.

Down the right side of the main window are a series of push buttons:

Setup

Invokes the Color Correction Setup dialog.

Undo

Discards changes made to the current curve and restores the previous settings.

Save

Saves the RGB color settings to the current GAM file.

Save As

Saves the current RGB color settings to a new GAM file.

Load

Loads an existing GAM file to be used.

Help

Displays on-line help on color correction and controls.

OK

Accepts the current values and exits.

Cancel

Discards the current changes and restores the hardware to the values before this dialog was invoked.


Color Correction Setup

This section is used to set up color correction for the first time.  Changing the settings in this section will cause the editor to re-create the curves for the red, green and blue components of color.  These new curves will replace your current curves.  If you have not saved the editing you have been doing, you may wish to save them before entering setup.

The White Point and Black Point sections of this setup dialog are used to control "how black is black" and "how white is white".  By moving the white point down from its maximum value (255) you cause the entire display to become more saturated (brighter), as more colours for a component are mapped to saturated values.  Similarly, moving the black point up from its minimum value (0) causes the display to become less saturated.

If the white and black points are moved close to each other, colours are forced into a narrow band, with more colors being either fully saturated or fully unsaturated.

Target Gamma is used to calibrate the color brightness and contrast of an image for display on a monitor.  This slider provides a range of intensity values, 1.0 being flat (unmodified).  A higher value represents a screen with higher contrast and brightness.  The settings range from 0.20 to 1.80 in increments of 0.01 units.

Help

Invokes the on-line help that describes the settings in this dialog.

OK

Accepts the changes in this session and changes the RGB curves in the parent dialog to be reset based on the current parameters.

Cancel

Discards all changes and returns to the parent basic dialog.


Anti-Aliasing

A technique of displaying characters in which sharp black-to-white edges are smoothed using shades of gray.  This improves readability of the characters.


Color Depth

Also known as bits per pixel, or 'bpp'.  For example, a color depth of 8 bpp gives 256 colors; 16 bpp gives 65K colors; and 24 bpp gives 16.7M colors.


Command Line

Every program run under Windows has a 'command line'.  This consists of the full pathname of the program to be run, plus any parameters, such as the filename to edit, or any switches that the program understands.


CTRL+Drag

This is a technique in Program Manager in which a program icon can be copied to make a new program icon.  Press the Ctrl key, then drag (click and hold) the icon to the desired new location, then release the mouse button.  The new icon will initially have all the same properties as the original icon.


Desktop / Virtual Desktop

The Windows work area is known as the Desktop.  When the Desktop is larger than the Screen Resolution, it is known as a Virtual Desktop.  With a Virtual Desktop, only a portion of the Desktop is visible on the screen at one time.


Display Memory

The memory on your graphics card.  You may have 2MB or 4MB of display memory.


Dithering

This is a technique in which colors that cannot be displayed exactly are simulated by patterned mixtures of other colors.


DPMS

Display Power Management Signalling - an industry standard for reduction of energy usage by video monitors.


Graphics Card

The card (or 'board') within your computer that controls your monitor.  Different cards have different capabilities.  Graphics accelerators specialize in speeding up graphical environments, such as Windows.


K

K = thousand


KB

KB = kilobyte (1,024 bytes)


Key Sequence

A set of one or more keys that are to be pressed at the same time to activate a function.  The special keys Ctrl, Alt, and Shift may be combined with any of Left Arrow, Right Arrow, Up Arrow, Down Arrow, Home, End, F1 through F24, A through Z, 0 through 9, Space, or Del to define a key sequence.


Logical Dots Per Inch (LDPI)

Applications use Logical Dots Per Inch to calculate the size of objects that must be an exact physical size on the display.  For example, if an application needs to display a box one inch high, and the Logical Dots Per Inch is 120, then the box is drawn 120 pixels high.


M

M = million


MB

MB = megabyte ( 1,048,576 bytes)


Multimedia Video Acceleration (MVA) Driver

A component of the Mach64 Graphics Accelerator that accelerates Microsoft Video for Windows playback.


Palette

In 256 color mode, a 'palette' is required to define the actual color that appears on screen for each of the 256 possible pixel bit combinations.  Some applications require the ability to change the entries in the palette, for example to display realistic images.


Pan

The Pan feature is enabled only when there is a Virtual Desktop.  To view portions of the virtual desktop not visible on the screen, you 'pan' them into view by moving the cursor to the edge of the screen in the direction you wish to view.  Keyboard keys may also be assigned to the functions of panning left, right, up, and down.


Pixel

A pixel is one 'dot' on your display.  Each pixel can be a different color - the number of possible colors is determined by Color Depth.


Restart

Restarting Windows means that all applications will be closed, Windows will go away and then automatically come back.  If there are un-saved changes in any of the applications that you currently have open, the applications will prompt you as to whether you want to save the changes.  If you cancel any of these prompts, Windows will not be restarted.


RGB Mode

When in 65K color mode, colors are represented by 16 bits per pixel.  RGB Mode refers to the allotment of these 16 bits to each of the three colors: red, green, and blue.  The notation used is a number in the form R/G/B, where R represents the number of bits for red; G the number of bits for green; and B the number of bits of blue.


Screen Resolution

Screen Resolution is the number of pixels displayed on your screen, expressed as a number in the form WxH, where W is the number of pixels displayed horizontally (width) and H is the number of pixels displayed vertically (height).


Settings Files

Settings files are files with the extension '.FLX'.  They contain FlexDesk Control Panel settings, saved with File Save or File Save As.  Settings files are used for quick setting changes.


Switches

Some programs accept command line parameters known as switches, which usually start with '/' or '-'.


Time Values

Time values are entered in minutes (e.g. 5 for five minutes) or minutes and seconds (e.g. 2:30 for two and a half minutes).


VESA

Video Electronics Standards Association - developers of the DPMS standard.


SYSTEM.INI

The Windows system initialization file (usually in \WINDOWS).  The [Macx] section of SYSTEM.INI contains the FlexDesk+ settings.


Zoom

The Zoom feature allows dynamic changes to screen resolution, so that you can see more or less of the Virtual Desktop on the screen at one time.  When Zoomed Out, you can see more of the Virtual Desktop, so characters appear smaller.  When Zoomed In, you see less of the Virtual Desktop, but the characters appear larger.


Macx Driver Extra Options

The Extra Options panel displays a number of switches that the Macx driver recognizes in the [Macx] section of SYSTEM.INI.  The Extra Options panel provides a convenient way of setting these switches on or off.   (This may also be done by manually editing SYSTEM.INI.)

Most of the Extra Options switches are used to disable advanced features of the driver, which may be necessary if you experience problems with certain applications.  In general, if a switch is 'on' (box is checked), the advanced feature is enabled, giving better performance.  However, some advanced features are incompatible with some applications - display corruption or inaccuracies are a likely result.

The switches are:

Engine

EnginePolygon

EnginePolyline

EngineScanline

EngineText

EngineBlt

FontUseVCache

DevCapCircle

DevCapPolygon

DevCapStretchBlt

DeviceBitmap

CacheOnBlt

Dithering

ForceBGR

ForceVGAShared

ForceVAD

VGADAC

BlockWrite


Engine	= on | off	Default: on

This is a convenient way of globally disabling all use of the graphics engine on the GX board.


EnginePolygon	= on | off	Default: on

EnginePolyline	= on | off	Default: on

EngineScanline	= on | off	Default: on

EngineText	= on | off	Default: on

EngineBlt	= on | off	Default: on

These individually enable/disable use of the engine for the described graphics function.


FontUseVCache	= on | off	Default: on

If EngineText is on, this describes whether fonts will be cached in the GX's on-board VRAM, or only in host memory.  This switch is only used when EngineText=on.


DevCapCircle	= on | off	Default: on

DevCapPolygon	= on | off	Default: on

DevCapStretchBlt	= on | off	Default: on

DeviceBitmap	= on | off	Default: on

These flags define DEVice CAPabilities which the driver reports to GDI.  They do not affect actual graphics code in the driver, but affect whether or not GDI calls certain code.

DeviceBitmap is special in that turning Engine off will automatically disable it.  Note also that if DeviceBitmap is ON and EngineBlt is OFF, performance will be poor.


CacheOnBlt	= on | off	Default: off

If this is turned on, device bitmaps will only be cached when they are used as a source for bitblt.  If this is off, device bitmaps will be cached whenever they are realized or selected.


Dithering	= on | off	Default: on

This flag affects whether brushes will be dithered or not.  If it is on, then either the Microsoft VGA standard method, or a faster, but less attractive method, is used, according to the setting of VGA Dithering in the FlexDesk Control Panel, Advanced Panel.


ForceBGR	= on | off	Default: off

This is an internal flag used for testing purposes.  If set to 'on', screen colors will be incorrect.


ForceVGAShared	= on | off	Default: on

If this switch is turned off, the driver will not touch memory which you have reserved for the VGA with the install program.


ForceVAD	= on | off	Default: off

This flag forces use of the VGA virtual aperture even when you have a real aperture.


VGADAC	= on | off	Default: off

Turning this flag on forces all writes to the palette hardware to be sent to the VGA palette I/O addresses as well as the GX I/O addresses.


BlockWrite	= on | off	Default: on

Turning this flag off keeps the GX from trying to use VRAM block write mode during fill operations.